!set title=Fracciones relativas III
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
author=XIAO, Gang
email=xiao@unice.fr

ansorder=r,r,r,r,r,r,r,r
varcnt=29
prevarcnt=28
postvarcnt=0
replycnt=8
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=40x55
val7=1/2,3/2,5/2,	1/3,2/3,4/3,5/3,	1/4,3/4,5/4,	1/5,2/5,3/5,4/5	
val8=fracciones
val9=Fracciones
!if $val2>=3 and $val2<=8 
val10=$[rint($val2)]
!else
val10=$[rint(4)]
!endif
tmp0=!randitem 1,2

val11=$[rint($(tmp0))]
!if $val3=2 
val11=$[rint(1)]
!endif
!if $val3=3 
val11=$[rint(2)]
!endif
tmp0=!item $val11 of <,>

val12=$(tmp0)
tmp0=!item $val11 of ,reverse

val13=$(tmp0)
val14=menor,mayor
val15=creciente, decreciente
tmp0=!nonempty items $val7

val7=$(tmp0)
val16=$[rint(($val10+3)/2)]
tmp0=!shuffle $val7

val17=$(tmp0)
tmp0=!replace , by ,- in -$val7

tmp1=!shuffle $(tmp0)

val18=$(tmp1)
val7=$(val17[1..$val16]),$(val18[1..$val16])
tmp0=!shuffle $val7

val7=$(tmp0)

!ifval $val11=1
tmp0=!sort numeric items $(val7[1..$val10])

val7=$(tmp0)
!else
tmp1=!sort reverse numeric items $(val7[1..$val10])

val7=	        $(tmp1)	
!endif
val19=
!if $val8 iswordof fraction 
tmp0=!replace internal / by \over in $val7

val7=$(tmp0)
!for val20 =1 to $val10 
tmp0=!append item \({$(val7[$val20])}) to $val19

val19=$(tmp0)
val21=es
!next
!else
!for val20 =1 to $val10 
tmp0=!append item \($(val7[$val20])) to $val19

val19=$(tmp0)
!next
!endif
tmp0=!item 1 to $val10 of r1,r2,r3,r4,r5,r6,r7,r8

val22=$(tmp0)
oefsteps=$val22 
nextstep=!nosubst $val22 
!readproc oef/steps.proc
replytype1=dragfill
replyname1=$val9 1
replygood1=$(val19[1])
replytype2=dragfill
replyname2=$val9 2
replygood2=$(val19[2])
replytype3=dragfill
replyname3=$val9 3
replygood3=$(val19[3])
replytype4=dragfill
replyname4=$val9 4
replygood4=$(val19[4])
replytype5=dragfill
replyname5=$val9 5
replygood5=$(val19[5])
replytype6=dragfill
replyname6=$val9 6
replygood6=$(val19[6])
replytype7=dragfill
replyname7=$val9 7
replygood7=$(val19[7])
replytype8=dragfill
replyname8=$val9 8
replygood8=$(val19[8])
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Ordenar los/las $val8 de abajo en orden $(val15[$val11]), de $(val14[$val11])	a $(val14[3-$val11]).	<p><center>	<table border=0><tr>	<td> 
!read oef/embed.phtml r1,$val6 
$()<td>	 
!for m_t=2 to $val10 
$()	 <td> $val12 <td> 
!read oef/embed.phtml $(val22[$m_t]),$val6 
$()	 
!next
$()	</table></center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,8,10,11,12,14,15,22
embedcnt=2
